Earlier versions of OS's?

Hi,

I us a Macbook Pro I purchased in 2010 with the Leopard OS. Will this router still work for me or am I reading the specs wrong?

Back To Product

Follow this Question

1 Answer from the Community

  • Any Mac with 10.2.7 (Jaguar) or later will be able to connect to it as an Access Point. However, configuring the AirPort will require the use of a SL or later Mac. Or, if you have an iPhone/iPod Touch/iPad, simply download the AirPort app from the App Store to set up your new router.

    Was this useful? Answer 1

    0 of 0 people found this useful

Related Questions